Package oracle.jdbc.spi

## Interface JsonProvider

All Superinterfaces:
  `OracleResourceProvider`

    public interface JsonProvider
    extends OracleResourceProvider

A provider to create an `OsonConverter` for serialization of java objects to OSON bytes and deserialization OSON bytes to java objects.

The oracle.jdbc.provider.json connection property identifies the name of a `JsonProvider` implementation.

`ServiceLoader` locates implementations of `JsonProvider` declared by a `META-INF/services/oracle.jdbc.spi.JsonProvider` file in the class path. Typically, this file is distributed within a jar file that contains a `JsonProvider` implementation.

Since:
  23.5

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.spi.OracleResourceProvider

`OracleResourceProvider.Parameter`

### Method Summary

All Methods Instance Methods Abstract Methods
`OsonConverter` `getOsonConverter​(java.util.Map<OracleResourceProvider.Parameter,​java.lang.CharSequence> parameterValues)` Returns the OsonConverter implementation to be used by the driver for conversions of OSON bytes to java objects and vice versa.

### Methods inherited from interface oracle.jdbc.spi.OracleResourceProvider

`getName, getParameters`

### Method Detail

#### getOsonConverter

    OsonConverter getOsonConverter​(java.util.Map<OracleResourceProvider.Parameter,​java.lang.CharSequence> parameterValues)

Returns the OsonConverter implementation to be used by the driver for conversions of OSON bytes to java objects and vice versa.

Parameters:
  `parameterValues` - any parameters required to configure the converter. May be null if no configuration is required.
Returns:
  instance of the OsonConverter implementation. May be null if instance cannot be created.